Subject: Re: [PATCH net] l2tp: do not accept arbitrary sockets

From: Guillaume Nault <[email-masked]>
Date: Tue, 6 Mar 2018 19:45:46 +0100

On Tue, Mar 06, 2018 at 07:54:53AM -0800, Eric Dumazet wrote:
> From: Eric Dumazet <[email-masked]>
> 
> syzkaller found an issue caused by lack of sufficient checks
> in l2tp_tunnel_create()
> 
> RAW sockets can not be considered as UDP ones for instance.
> 
Indeed, missing checks have been the source of so many reports.

Acked-by: Guillaume Nault <[email-masked]>